libpreludedb-config(1)

NAME
libpreludedb-config - helper script for building with libpreludedb

SYNOPSIS
libpreludedb-config [options]

DESCRIPTION
libpreludedb-config is a simple shell script used to determine the compiler and linker flags that should be used to compile and link programs that use the libpreludedb library.

OPTIONS

--prefix
    If specified, use dir instead of the installation prefix that the library was built with, when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options. This option is also used for the exec prefix if the --exec-prefix option is not specified.
--exec-prefix
    If specified, use dir instead of the exec installation prefix that the library was built with, when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.
--version
    Print the currently installed version of the library on the standard output.
--thread
    If specified, add the thread library used by libpreludedb to the --libs or --cflags options.
--libs
    Print the linker flags that are necessary to link with the specified library.
--ldflags
    Print the LDflags that are necessary to compile a program using the specified library.
--cflags
    Print the compiler flags that are necessary to compile a program using the specified library.
--plugin-dir
    Print the directory where libpreludedb plugins are installed.

AUTHOR
This man page has been written by CS-SI